Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

Get resource type list

Prev Next

The latest service changes have not yet been reflected in this content. We will update the content as soon as possible. Please refer to the Korean version for information on the latest updates.

Available in Classic and VPC

Get the list of resource types (child resources) to which the quota policy can be applied.

Note

The Get resource type list API returns a response only when resource details (usage limit settings) are required.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /open-api/v1/policy/detail/{regionNo}/{resourceTypeCode}/{infraResourceDetailTypeCode}

Request headers

For information about the headers common to all Organization APIs, see Organization request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
regionNo Integer Required Region number
resourceTypeCode String Required Resource code
infraResourceDetailTypeCode String Required Service code

Request example

The request example is as follows:

curl --location --request GET 'https://organization.apigw.ntruss.com/open-api/v1/policy/detail/1/VSVR' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \/VM/VM
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Accept: application/json'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
productTypeCode String - Resource type code
productTypeName String - Resource type name
resourceQuotaDetailConfigYn String - Whether
productTypeDetailList Array - Resource type type information: productTypeDetailList
generationCodeList Array - Generation classification information: generationCodeList
  • Display when querying servers

productTypeDetailList

productTypeDetailList

The following describes productTypeDetailList.

Field Type Required Description
productTypeDetailCode String - Resource detailed type code
productTypeDetailName String - Resource detailed type name
generationCodeList Array - Generation classification informa

generationCodeList

generationCodeList

The following describes generationCodeList.

Field Type Required Description
generationCode String - Generation classification code
  • Based on resource detailed type
maxProductRestrictCount Integer - Maximum limit by generation

Response status codes

For response status codes common to all Organization APIs, see Organization response status codes.

Response example

The response example is as follows:

```json
[
  {
    "productTypeCode": "STAND",
    "productTypeName": "Standard",
    "productTypeDetailList": [
      {
        "productTypeDetailCode": "STAND",
        "productTypeDetailName": "Standard"
      }
    ],
    "generationCodeList": [
      {
        "generationCode": "G1",
        "maxProductRestrictCount": 0
      },
      {
        "generationCode": "G2",
        "maxProductRestrictCount": 0
      }
    ]
  },
  {
    "productTypeCode": "HICPU",
    "productTypeName": "High CPU",
    "productTypeDetailList": [
      {
        "productTypeDetailCode": "HICPU",
        "productTypeDetailName": "High CPU"
      }
    ],
    "generationCodeList": [
      {
        "generationCode": "G2",
        "maxProductRestrictCount": 50
      }
    ]
  },
  {
    "productTypeCode": "HIMEM",
    "productTypeName": "High Memory",
    "productTypeDetailList": [
      {
        "productTypeDetailCode": "HIMEM",
        "productTypeDetailName": "High Memory"
      }
    ],
    "generationCodeList": [
      {
        "generationCode": "G1",
        "maxProductRestrictCount": 10
      },
      {
        "generationCode": "G2",
        "maxProductRestrictCount": 10
      }
    ]
  },
  {
    "productTypeCode": "MICRO",
    "productTypeName": "Micro Server",
    "productTypeDetailList": [
      {
        "productTypeDetailCode": "MICRO",
        "productTypeDetailName": "Micro Server"
      }
    ],
    "generationCodeList": [
      {
        "generationCode": "G1",
        "maxProductRestrictCount": 1
      }
    ]
  },
  {
    "productTypeCode": "COMPT",
    "productTypeName": "Compact Server",
    "productTypeDetailList": [
      {
        "productTypeDetailCode": "COMPT",
        "productTypeDetailName": "Compact Server"
      }
    ],
    "generationCodeList": [
      {
        "generationCode": "G1",
        "maxProductRestrictCount": null
      }
    ]
  },
  {
    "productTypeCode": "GPU",
    "productTypeName": "GPU",
    "productTypeDetailList": [
      {
        "productTypeDetailCode": "V100",
        "productTypeDetailName": "V100"
      },
      {
        "productTypeDetailCode": "V100S",
        "productTypeDetailName": "V100S"
      },
      {
        "productTypeDetailCode": "P40R1",
        "productTypeDetailName": "P40R1"
      },
      {
        "productTypeDetailCode": "P40R2",
        "productTypeDetailName": "P40R2"
      }
    ],
    "generationCodeList": []
  },
  {
    "productTypeCode": "CPU",
    "productTypeName": "CPU Intensive",
    "productTypeDetailList": [
      {
        "productTypeDetailCode": "CPU",
        "productTypeDetailName": "CPU Intensive"
      }
    ],
    "generationCodeList": [
      {
        "generationCode": "G1",
        "maxProductRestrictCount": 5
      }
    ]
  }
]
``````json
[
  {
    "productTypeCode": "STAND",
    "productTypeName": "Standard",
    "productTypeDetailList": [
      {
        "productTypeDetailCode": "STAND",
        "productTypeDetailName": "Standard"
      }
    ],
    "generationCodeList": [
      {
        "generationCode": "G1",
        "maxProductRestrictCount": 0
      },
      {
        "generationCode": "G2",
        "maxProductRestrictCount": 0
      }
    ]
  },
  {
    "productTypeCode": "HICPU",
    "productTypeName": "High CPU",
    "productTypeDetailList": [
      {
        "productTypeDetailCode": "HICPU",
        "productTypeDetailName": "High CPU"
      }
    ],
    "generationCodeList": [
      {
        "generationCode": "G2",
        "maxProductRestrictCount": 50
      }
    ]
  },
  {
    "productTypeCode": "HIMEM",
    "productTypeName": "High Memory",
    "productTypeDetailList": [
      {
        "productTypeDetailCode": "HIMEM",
        "productTypeDetailName": "High Memory"
      }
    ],
    "generationCodeList": [
      {
        "generationCode": "G1",
        "maxProductRestrictCount": 10
      },
      {
        "generationCode": "G2",
        "maxProductRestrictCount": 10
      }
    ]
  },
  {
    "productTypeCode": "MICRO",
    "productTypeName": "Micro Server",
    "productTypeDetailList": [
      {
        "productTypeDetailCode": "MICRO",
        "productTypeDetailName": "Micro Server"
      }
    ],
    "generationCodeList": [
      {
        "generationCode": "G1",
        "maxProductRestrictCount": 1
      }
    ]
  },
  {
    "productTypeCode": "COMPT",
    "productTypeName": "Compact Server",
    "productTypeDetailList": [
      {
        "productTypeDetailCode": "COMPT",
        "productTypeDetailName": "Compact Server"
      }
    ],
    "generationCodeList": [
      {
        "generationCode": "G1",
        "maxProductRestrictCount": null
      }
    ]
  },
  {
    "productTypeCode": "GPU",
    "productTypeName": "GPU",
    "productTypeDetailList": [
      {
        "productTypeDetailCode": "V100",
        "productTypeDetailName": "V100"
      },
      {
        "productTypeDetailCode": "V100S",
        "productTypeDetailName": "V100S"
      },
      {
        "productTypeDetailCode": "P40R1",
        "productTypeDetailName": "P40R1"
      },
      {
        "productTypeDetailCode": "P40R2",
        "productTypeDetailName": "P40R2"
      }
    ],
    "generationCodeList": []
  },
  {
    "productTypeCode": "CPU",
    "productTypeName": "CPU Intensive",
    "productTypeDetailList": [
      {
        "productTypeDetailCode": "CPU",
        "productTypeDetailName": "CPU Intensive"
      }
    ],
    "generationCodeList": [
      {
        "generationCode": "G1",
        "maxProductRestrictCount": 5
      }
    ]
  }
]